# $Revision: 1.11 $, $Date: 2011/08/31 18:29:16 $
Summary:	Bandwidth monitor - display bandwidth usage on all interfaces
Summary(pl.UTF-8):	Bandwidth monitor - wyświetlanie obciążenia na interfejsach
Name:		bwm-ng
Version:	0.6
Release:	2
License:	GPL
Group:		Networking/Utilities
Source0:	http://www.gropp.org/bwm-ng/%{name}-%{version}.tar.gz
# Source0-md5:	d3a02484fb7946371bfb4e10927cebfb
Patch0:		%{name}-procfile.patch
URL:		http://www.gropp.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libstatgrab-devel
BuildRequires:	ncurses-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Bandwidth Monitor NG is a small and simple console-based bandwidth
monitor for Linux, BSD, and Mac OS X, or other systems with either
/proc/net/dev, netstat (Linux and BSD), getifaddrs, sysctl, or
libstatgrab. You can choose whether to show all interfaces or only
those interfaces that are up. Output is possible as plain console,
curses, CSV, or HTML. Unlimited interfaces are supported and will be
added dynamically while running.

%description -l pl.UTF-8
Bandwidth Monitor NG to mały i prosty działający na terminalu
tekstowym monitor wykorzystania pasma dla Linuksa, BSD i Mac OS X lub
innych systemów z interfejsem /proc/net/dev, netstat, getifaddrs,
sysctl lub libstatgrab. Można wybrać, czy mają być pokazywane
wszystkie interfejsy, czy tylko aktualnie włączone. Obsługiwane jest
wyjście na zwykłą konsolę, przez curses, w CSV lub w HTML-u.
Obsługiwana jest nieograniczona liczba interfejsów, będą one dodawane
dynamicznie w trakcie działania programu.

%prep
%setup -q
%patch0 -p1

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make} \
	CFLAGS="%{rpmcflags} -Wall -I/usr/include/ncurses"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_sysconfdir},%{_mandir}/man1}

install src/bwm-ng $RPM_BUILD_ROOT%{_bindir}
install bwm-ng.conf-example $RPM_BUILD_ROOT%{_sysconfdir}/bwm-ng.conf
install bwm-ng.1 $RPM_BUILD_ROOT%{_mandir}/man1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README THANKS bwm-ng.css
%attr(755,root,root) %{_bindir}/*
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/bwm-ng.conf
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: bwm-ng.spec,v $
Revision 1.11  2011/08/31 18:29:16  arekm
- release 2

Revision 1.10  2008/12/25 15:51:41  qboosh
- BR: ac,am

Revision 1.9  2008/12/25 15:08:27  gotar
- upgraded to 0.6

Revision 1.8  2007/02/12 21:23:50  glen
- tabs in preamble

Revision 1.7  2007/02/12 00:48:41  baggins
- converted to UTF-8

Revision 1.6  2006/12/26 13:48:43  adamg
- release 2 (rebuild against libstatgrab-0.13)

Revision 1.5  2006/04/17 11:15:30  adamg
- fix a typo in src/retrieve.c (error "open of procfile failed") - reported
  by Marek Knappe (bug #5782)

Revision 1.4  2005/03/09 19:03:28  qboosh
- unified

Revision 1.3  2005/03/09 13:31:34  nail2k
- up to 0.5
- Source0 URL fix

Revision 1.2  2004/12/22 19:32:18  qboosh
- pl desc, mark config

Revision 1.1  2004/12/20 19:05:30  adamg
- new
